# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE="cjk"

MY_P="${P/-/}"

DESCRIPTION="XMascot is a program to show pretty Mascot on your X Window System."
SRC_URI="http://cclub-flying.dsl.gr.jp/products/xmascot/${MY_P}.tar.gz
	http://hoshina.denpa.org/xmascot26a-lf-patch.gz"
HOMEPAGE="http://cclub-flying.dsl.gr.jp/products/xmascot/
	http://hoshina.denpa.org/xmascot.html"

DEPEND="x11-base/xfree"

KEYWORDS="x86 ~alpha ~sparc ~sparc64 ~ppc"
LICENSE="free-noncomm"
SLOT="0"

S="${WORKDIR}/${MY_P}"

src_unpack(){
	unpack ${MY_P}.tar.gz
	cd ${S}
	gzcat ${DISTDIR}/xmascot26a-lf-patch.gz | patch -p1

	mv config.tmpl config.tmpl.orig

	cat <<__EOF__ > config.tmpl
CC = gcc
CCOPTIONS = ${CFLAGS}
XMASDIR = /usr/share/xmascot
#undef PERSONAL
#undef NEED_DIFFTIME
#define USE_BIFF
#define USE_BIFFLIST
MAILBOX_DIR  = /var/spool/mail
#undef USE_YOUBIN
#undef USE_SOUND
SOUND_COMMAND = cat %s > /dev/audio
#undef DUMMY_SETLOCALE
#define USE_DOUBLE
#define USE_CHAINPAT
#define USE_SHADOW
#undef USE_XAW3D
__EOF__

	use cjk && echo "#define USE_I18N" >> config.tmpl

	cat <<__EOF__ >> config.tmpl
#ifdef NEED_DIFFTIME
DIFFTIME = -DNEED_DIFFTIME -DSunOS
#endif

#ifdef USE_BIFF
#ifdef USE_BIFFLIST
DEFINES_BIFF = -DBIFF -DBIFF_LIST -DMAILBOXDIR=\"\$(MAILBOX_DIR)\"
#else
DEFINES_BIFF = -DBIFF -DMAILBOXDIR=\"\$(MAILBOX_DIR)\"
#endif
#ifdef USE_YOUBIN
DEFINES_YOUBIN = -DYOUBIN
#endif
BIFFFILE = biff.o
#else
BIFFFILE =
#endif

#ifdef USE_SOUND
DEFINES_SOUND = -DSOUND
SOUNDFILE = sound.o
#else
DEFINES_SOUND =
SOUND_COMMAND =
SOUNDFILE =
#endif

#ifdef USE_I18N
DEFINES_I18N = -DI18N
LOCALEDIR = \$(LIBDIR)/\$(LANG)/app-defaults
#else
DEFINES_I18N =
#endif

#ifdef DUMMY_SETLOCALE
DEFINES_DMSET = -DDUMMY_SETLOCALE
#else
DEFINES_DMSET = 
#endif

#ifdef USE_DOUBLE
DEFINES_DBL = -DUSE_DOUBLE
ISINFILE =
#else
DEFINES_DBL =
ISINFILE = isin.o
#endif

#ifdef PERSONAL
BINDIR       = \$(HOME)/bin
XMASDIR      = \$(HOME)/xmascot
LOCALEDIR    = \$(HOME)/\$(LANG)
#endif

#ifdef USE_CHAINPAT
DEF_CHAIN = -DUSE_CHAINPAT
#else
DEF_CHAIN =
#endif

#define USE_SHAPE
#ifdef USE_SHAPE
DEF_SHAPE = -DSHAPE
#else
DEF_SHAPE =
#endif

#ifdef USE_SHADOW
DEF_SHADOW = -DSHADOW
#else
DEF_SHADOW =
#endif

#ifdef USE_XAW3D
DEF_XAW3D = -DXAW3D
#else
DEF_XAW3D =
#endif
__EOF__
}

src_compile(){
	xmkmf -a || die "xmkmf failed."
	make || die "make failed."
}

src_install(){
	einstall DESTDIR="${D}" || die "install failed."
	dodoc README{,.jp,.grp-patch}
	docinto japanese
	dodoc japanese/*
}
